Jump to content
hellopompon

Malheureusement, aucun moyen de paiement n'est disponible.

Recommended Posts

Bonjour,

Je sollicite votre aide car j'ai un soucis avec ma boutique prestashop.

Hier j'étais encore sous 1.6.1.13 et j'ai fais mis à jour la boutique car j'avais un beug et je m'en sortais plus (boutique inaccessible avec message d'erreur)

Je ne suis pas passé par upgrade (j'ai essayé mais je ne pouvais plus accèder à la page module),

--> J'ai sauvegardé ma base de donnée + mon fichier img ftp

--> j'ai complétement supprimé mon FTP

--> j'ai installé prestashop 1.7.5.2 , puis j'ai supprimé la base de donnée pour importé l'ancienne base de donnée, et réimplanté le fichier img, ensuite réinstallé le module de mon thème.

J'ai mis depuis les beug ma boutique en maintenance. Les fiches produits sont bien présentes avec description et photos. ras.

Par contre j'ai un soucis pour faire fonctionner les modules de paiements (j'utilise habituellement les modules natifs cheque,virement et le module paypal)

Quand je suis allée dans la session paiement au depart j'avais un message aucun mode de paiement, ensuite j'ai télécharger le module paypal (sur market car directement depuis le BO je ne l'avais pas dans la liste a télécharger) , j'ai essayé de cherché de l'aide sur le forum j'ai testé d'activer la geoloc par IP pour ensuite la désactiver. Paypal est alors apparu dans la liste des modes de paiement, et la page paiement préférences s'est aussi complété (j'ai verifié les groupes, pays et transporteur sont bien coché "paypal", il n'y a pas les modules natifs)

j'essai coté client de passer commande mais j'ai le message d'erreur "Malheureusement, aucun moyen de paiement n'est disponible."

j'ai essayé aussi de renommer les transporteur que j'ai (ce nest pas des modules mais des transporteurs saisi manuellement: lettre verte, lettre suivi,colissimo...) 

je n'arrive pas à résoudre le problème et ne peut donc toujours pas réouvrir la boutique...

Avez vous une idée..?

en pièce jointe des copies d 'écran si ca peut aider ...

ma boutique https://www.hello-pompon.fr   mais je l'ai mise sur maintenance en attendant de résoudre le soucis de paiement (et aussi de reparametrer mon theme)

merci par avance!! 

gestionnaireModules.jpg

catalogueModulePaiement.jpg

modesPaiement.jpg

Share this post


Link to post
Share on other sites

les bases de données 1.6 et 1.7 ne sont pas compatibles, les structures sont différentes sur plusieurs tables

Il serait préférable de repartir de votre 1.61.13 et faire l'upgrade vers 1.6.1.24 (parce que là en plus, vous avez du perdre les cookie_key et rindjael_iv donc vos clients ne peuvent plus se connecter.

Une mise à jour n'a jamais été la solution pour résoudre un bug, il faut d'abord en déterminer l'origine, surtout quand celui-ci arrive alors que tout fonctionnait auparavant.

Share this post


Link to post
Share on other sites

Merci de votre réponse rapide... 

si j'ai bien compris vous me conseillez de supprimer tout le ftp, de faire une installation 1.6.1.13 et de remettre ma base de donnée?

pourtant quand j'avais tenté le upgrade il ne m'avait pas proposé de 1.1.24 mais directement un 1.7... (ou alors je nai pas vu les options dispos..?)

donc je veux bien tout recommencé mais est-ce que c'est sur que j'aurais la main pour un 1.1.24

Share this post


Link to post
Share on other sites

Bonjour,

Utilise ta sauvegarde en 1.6.1.13, renvoie tes fichiers par ftp et reinjecte la sauvegarde de ta base de données.

Share this post


Link to post
Share on other sites

je n'ai pas de saugegarde backup, j'ai juste gardé la sauvegarde de la base de donnée car ce qui était important pour moi étant surtout les fiches produits, les comptes clients et les commandes.

je vais donc d'apres vos conseils -->tout supprimer mon FTP, ensuite installer une version vierge 1.6.1.13, et ensuite supprimer la bdd pour mettre mon ancienne

c'est la bonne méthode? merci!

Share this post


Link to post
Share on other sites

Vous n'avez aucune sauvegarde de votre fichier /config/settings.inc.php de votre 1.6.1.13 ?

Votre hébergeur n'a pas de backup ?

Share this post


Link to post
Share on other sites
5 hours ago, Eolia said:

les bases de données 1.6 et 1.7 ne sont pas compatibles, les structures sont différentes sur plusieurs tables

Bonjour Eolia

J'en profite pour vous poser une question. Est-il possible de migrer tout son site de la version 1.6 à la version 1.7 (compte clients, commandes, etc..). 

Question subsidiaire, mon hébergeur peut-il m'obliger un jour de migrer de PHP 5.6 à 7.0.X pour des raisons de sécurité, m'imposant de facto une migration de prestashop ? 

Merci pour ces infos qui pourraient aussi être utiles à Hellopompon car je pense que c'est une telle migration qu'il doit faire s'il veut passer en 1.7.X

Bonne journée

Edited by ikaris (see edit history)

Share this post


Link to post
Share on other sites

oui vous pouvez mais personnellement je ne le conseille pas vu que la 1.7 a moins de fonctionnalités et plus de bugs

Si un hébergeur vous oblige à cela, changez d'hébergeur, la soit-disante raison de sécurité est bidon (trouvez-moi un site hacké parce que 5.6)

Et pour rappel la 1.6.1.24 est compatible PHP7.1/7.2 (mais bon la PHP7.3 sort en décembre et PHP8 en 2020 donc...)

Share this post


Link to post
Share on other sites

Merci Eolia pour ces infos. Donc toujours aucune raison de se précipiter, ma version 1.6.0.14 marche très bien en effet :) j'avais juste un peu peur pour PHP. Je peux pas migrer en 1.61.24 à cause de mon template non compatible, mais ma version devrait tenir au moins quelques années de plus alors :)

Bon dimanche :)

Edited by ikaris (see edit history)

Share this post


Link to post
Share on other sites

Oui, exact merci du rappel, je l'avais fait à l'époque sinon c'est la crise de nerf assurée lors de l'enregistrement des produits :)

Share this post


Link to post
Share on other sites

Je donnais l'info pour ceux qui tomberaient sur ce post ;) 

  • Like 1

Share this post


Link to post
Share on other sites

bonjour,

je n'avais pas pensé qu'on pouvait programmer une restauration avec l'hébergeur, je suis chez OVH j'ai trouvé dans le manager une option pour restaurer le FTP j'ai fais la demande pour une récupération de la semaine dernière, la tache est enregistrée depuis hier midi... mais tjr marqué programmée est-ce normal que cela prend autant de temps...?

Sinon, pour rappel j'avais tenté l'installation prestashop 1.7 mais comme il n'était pas compatible avec ma base de donnée (pas moyen de paiement) j'ai renommé le www en wwww (temporairement pour que ça soit plus rapide que la suppression manuelle pour pouvoir tenter une installation prestashop 1.6). j'ai donc installé la meme version 1.6 qu'avant ensuite je ne pouvais pas activer la maintenance j'ai du étrangement changer le php 7 à inférieur, ensuite j'ai supprimé la bdd pour implanter ma sauvegarde de base de donnée et la ensuite erreur de code sur la boutique front + BO... (voir piece jointe) 

puis j'ai vu votre message de demander une restauration où je me suis dis c'est la solution parfaite pour revenir avant tout ces problèmes, mais je ne comprends pas la restauration n'a pas l'air d'avoir commencé mais il s'est tout de meme passé qq chose sur le FTP car le dossier wwww a disparu, et le prestashop 1.7 est revenu, tres etrange

je viens de contacter le support ovh par ticket pour savoir le delai de restauration, (mon ftp fait moins 1Go), si vous avez des infos dessus, merci...

ma boutique est toujours hs depuis tout le week end... est ce que je vais etre penalisé sur mon referencement..??..

erreurImplantationBDD.jpg

Share this post


Link to post
Share on other sites

je viens de lire un tuto pour visualiser avec filezilla les sauvegardes avec le sufixe  snap3 et cela me donne prestashop 1.7 donc cest pour ca que je suis revenu vers le 1.7... pourtant c'était seulement ce week end que j'avais testé la 1.7, mais comme il dise la semaine dernière=dimanche dernier, c'est peut etre ça, 

j'ai essayé le snap4 plus vieux et j'ai accès à mes fichiers 1.6 je suis en train de tout sauvegarder sur mon ordi, pour ensuite tout réimplanter sur le FTP

j'espère que cette fois ci la methode sera bonne! je vous tiens informé

Edited by hellopompon (see edit history)

Share this post


Link to post
Share on other sites

Pour tenir informé, j'ai donc restauré la partie FTP + restauré la base de données, et cela fonctionne de nouveau , après un week end HS, ouf...!

Merci pour vos conseils!

Donc ma boutique prestashop est en 1.6.1.13, dois je laisser comme ça?

J'avais repéré un thème prestashop 1.7 qui me plaisait bcp (plus moderne), c'est donc impossible de faire la MAJ vers 1.7 ?

j'ai regardé sur 1 click upgrade il me propose uniquement de passer directement vers la 1.7.5 , sans échelle intermédiaire (1.6.1.24 ou autre)

quand j'avais testé directement vers la 1.7.5 ca m'avait donné toutes ces erreurs donc je ne veux pas re prendre le risque...

Share this post


Link to post
Share on other sites

Tu dois cliquer sur 'Plus d'options (Mode expert)' et puis choisir versions mineures (recommandé).

Et là, il te sera proposé de faire la mise à jour vers la 1.6.1.24

Edited by P i l o u (see edit history)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More